"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_CONFIG = exports.readMySqlConfigSync = exports.getMySqlConfigSync = exports.getMySqlConfig = void 0;
const cosmiconfig = require("cosmiconfig");
const MySqlConfig_1 = require("./MySqlConfig");
const explorer = cosmiconfig('mysql');
async function getMySqlConfig(searchFrom) {
    return parseResult(await explorer.search(searchFrom));
}
exports.getMySqlConfig = getMySqlConfig;
function getMySqlConfigSync(searchFrom) {
    return parseResult(explorer.searchSync(searchFrom));
}
exports.getMySqlConfigSync = getMySqlConfigSync;
function readMySqlConfigSync(filename) {
    return parseResult(explorer.loadSync(filename));
}
exports.readMySqlConfigSync = readMySqlConfigSync;
function parseResult(result) {
    return MySqlConfig_1.MySqlConfigSchema.parse(result ? result.config : {});
}
exports.DEFAULT_CONFIG = MySqlConfig_1.MySqlConfigSchema.parse({});
//# sourceMappingURL=index.js.map